<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('formularios_diaspreferidos', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->foreignId('diapreferencia_id')
                  ->constrained('diaspreferencias')
                  ->onDelete('cascade');

            $table->foreignId('formulario_id')
                  ->constrained('formularios')
                  ->onDelete('cascade');
                
             $table->unique(['formulario_id','diapreferencia_id'], 'formularios_diapreferidos_unique');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('formularios_diaspreferidos');
    }
};
